% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SPR.R, R/TBR.R
\name{SPRWarning}
\alias{SPRWarning}
\alias{TBRWarning}
\title{TBR Warning
Print a warning and return given tree}
\usage{
SPRWarning(parent, child, error)

TBRWarning(parent, child, error)
}
\arguments{
\item{parent}{Integer vector corresponding to the first column of the edge
matrix of a tree of class \code{\link{phylo}}, i.e. \code{tree$edge[, 1]}.}

\item{child}{Integer vector corresponding to the second column of the edge
matrix of a tree of class \code{\link{phylo}}, i.e. \code{tree$edge[, 2]}.}

\item{error}{error message to report}
}
\value{
A list with the entries \code{parent}, \code{child}.
}
\description{
TBR Warning
Print a warning and return given tree
}
\section{Functions}{
\itemize{
\item \code{SPRWarning()}: for SPR rearrangements

}}
\examples{
suppressWarnings(TBRWarning(0, 0, "Message text")) # will trigger warning

}
\author{
Martin R. Smith
}
\keyword{internal}
